<?php



$tdataVendas = array();
$tdataVendas[".searchableFields"] = array();
$tdataVendas[".ShortName"] = "Vendas";
$tdataVendas[".OwnerID"] = "";
$tdataVendas[".OriginalTable"] = "Vendas";


$tdataVendas[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdataVendas[".originalPagesByType"] = $tdataVendas[".pagesByType"];
$tdataVendas[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdataVendas[".originalPages"] = $tdataVendas[".pages"];
$tdataVendas[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"search\":\"search\"}" );
$tdataVendas[".originalDefaultPages"] = $tdataVendas[".defaultPages"];

//	field labels
$fieldLabelsVendas = array();
$fieldToolTipsVendas = array();
$pageTitlesVendas = array();
$placeHoldersVendas = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsVendas["Portuguese(Standard)"] = array();
	$fieldToolTipsVendas["Portuguese(Standard)"] = array();
	$placeHoldersVendas["Portuguese(Standard)"] = array();
	$pageTitlesVendas["Portuguese(Standard)"] = array();
	$fieldLabelsVendas["Portuguese(Standard)"]["CodVenda"] = "Cod Venda";
	$fieldToolTipsVendas["Portuguese(Standard)"]["CodVenda"] = "";
	$placeHoldersVendas["Portuguese(Standard)"]["CodVenda"] = "";
	$fieldLabelsVendas["Portuguese(Standard)"]["CodUser"] = "Cod User";
	$fieldToolTipsVendas["Portuguese(Standard)"]["CodUser"] = "";
	$placeHoldersVendas["Portuguese(Standard)"]["CodUser"] = "";
	$fieldLabelsVendas["Portuguese(Standard)"]["Data"] = "Data";
	$fieldToolTipsVendas["Portuguese(Standard)"]["Data"] = "";
	$placeHoldersVendas["Portuguese(Standard)"]["Data"] = "";
	$fieldLabelsVendas["Portuguese(Standard)"]["CodPlanta"] = "Cod Planta";
	$fieldToolTipsVendas["Portuguese(Standard)"]["CodPlanta"] = "";
	$placeHoldersVendas["Portuguese(Standard)"]["CodPlanta"] = "";
	$fieldLabelsVendas["Portuguese(Standard)"]["CodCliente"] = "Cod Cliente";
	$fieldToolTipsVendas["Portuguese(Standard)"]["CodCliente"] = "";
	$placeHoldersVendas["Portuguese(Standard)"]["CodCliente"] = "";
	$fieldLabelsVendas["Portuguese(Standard)"]["Quantidade"] = "Quantidade";
	$fieldToolTipsVendas["Portuguese(Standard)"]["Quantidade"] = "";
	$placeHoldersVendas["Portuguese(Standard)"]["Quantidade"] = "";
	$fieldLabelsVendas["Portuguese(Standard)"]["Confirmado"] = "Confirmado";
	$fieldToolTipsVendas["Portuguese(Standard)"]["Confirmado"] = "";
	$placeHoldersVendas["Portuguese(Standard)"]["Confirmado"] = "";
	$fieldLabelsVendas["Portuguese(Standard)"]["Pago20"] = "Pago20";
	$fieldToolTipsVendas["Portuguese(Standard)"]["Pago20"] = "";
	$placeHoldersVendas["Portuguese(Standard)"]["Pago20"] = "";
	$fieldLabelsVendas["Portuguese(Standard)"]["Encomendado"] = "Encomendado";
	$fieldToolTipsVendas["Portuguese(Standard)"]["Encomendado"] = "";
	$placeHoldersVendas["Portuguese(Standard)"]["Encomendado"] = "";
	$fieldLabelsVendas["Portuguese(Standard)"]["Pago"] = "Pago";
	$fieldToolTipsVendas["Portuguese(Standard)"]["Pago"] = "";
	$placeHoldersVendas["Portuguese(Standard)"]["Pago"] = "";
	$fieldLabelsVendas["Portuguese(Standard)"]["Fornecido"] = "Fornecido";
	$fieldToolTipsVendas["Portuguese(Standard)"]["Fornecido"] = "";
	$placeHoldersVendas["Portuguese(Standard)"]["Fornecido"] = "";
	if (count($fieldToolTipsVendas["Portuguese(Standard)"]))
		$tdataVendas[".isUseToolTips"] = true;
}


	$tdataVendas[".NCSearch"] = true;


	$tdataVendas[".scrollGridBody"] = true;

$tdataVendas[".shortTableName"] = "Vendas";
$tdataVendas[".nSecOptions"] = 0;

$tdataVendas[".mainTableOwnerID"] = "";
$tdataVendas[".entityType"] = 0;

$tdataVendas[".strOriginalTableName"] = "Vendas";

	



$tdataVendas[".showAddInPopup"] = true;

$tdataVendas[".showEditInPopup"] = false;

$tdataVendas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
			;
$popupPagesLayoutNames["add"] = "login";
$tdataVendas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataVendas[".listAjax"] = false;
//	temporary
$tdataVendas[".listAjax"] = false;

	$tdataVendas[".audit"] = true;

	$tdataVendas[".locking"] = true;


$pages = $tdataVendas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataVendas[".edit"] = true;
	$tdataVendas[".afterEditAction"] = 1;
	$tdataVendas[".closePopupAfterEdit"] = 1;
	$tdataVendas[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataVendas[".add"] = true;
$tdataVendas[".afterAddAction"] = 1;
$tdataVendas[".closePopupAfterAdd"] = 1;
$tdataVendas[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataVendas[".list"] = true;
}



$tdataVendas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataVendas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataVendas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataVendas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataVendas[".printFriendly"] = true;
}



$tdataVendas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataVendas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataVendas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataVendas[".isUseAjaxSuggest"] = true;

$tdataVendas[".rowHighlite"] = true;



									

$tdataVendas[".ajaxCodeSnippetAdded"] = false;

$tdataVendas[".buttonsAdded"] = false;

$tdataVendas[".addPageEvents"] = false;

// use timepicker for search panel
$tdataVendas[".isUseTimeForSearch"] = false;




$tdataVendas[".allSearchFields"] = array();
$tdataVendas[".filterFields"] = array();
$tdataVendas[".requiredSearchFields"] = array();

$tdataVendas[".googleLikeFields"] = array();
$tdataVendas[".googleLikeFields"][] = "CodVenda";
$tdataVendas[".googleLikeFields"][] = "CodUser";
$tdataVendas[".googleLikeFields"][] = "Data";
$tdataVendas[".googleLikeFields"][] = "CodPlanta";
$tdataVendas[".googleLikeFields"][] = "CodCliente";
$tdataVendas[".googleLikeFields"][] = "Quantidade";
$tdataVendas[".googleLikeFields"][] = "Confirmado";
$tdataVendas[".googleLikeFields"][] = "Pago20";
$tdataVendas[".googleLikeFields"][] = "Encomendado";
$tdataVendas[".googleLikeFields"][] = "Pago";
$tdataVendas[".googleLikeFields"][] = "Fornecido";



$tdataVendas[".tableType"] = "list";

$tdataVendas[".printerPageOrientation"] = 0;
$tdataVendas[".nPrinterPageScale"] = 100;

$tdataVendas[".nPrinterSplitRecords"] = 40;

$tdataVendas[".geocodingEnabled"] = false;










$tdataVendas[".pageSize"] = 999;

$tdataVendas[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataVendas[".strOrderBy"] = $tstrOrderBy;

$tdataVendas[".orderindexes"] = array();

$tdataVendas[".sqlHead"] = "SELECT CodVenda,  	CodUser,  	`Data`,  	CodPlanta,  	CodCliente,  	Quantidade,  	Confirmado,  	Pago20,  	Encomendado,  	Pago,  	Fornecido";
$tdataVendas[".sqlFrom"] = "FROM Vendas";
$tdataVendas[".sqlWhereExpr"] = "";
$tdataVendas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataVendas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataVendas[".arrGroupsPerPage"] = $arrGPP;

$tdataVendas[".highlightSearchResults"] = true;

$tableKeysVendas = array();
$tableKeysVendas[] = "CodVenda";
$tdataVendas[".Keys"] = $tableKeysVendas;


$tdataVendas[".hideMobileList"] = array();




//	CodVenda
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CodVenda";
	$fdata["GoodName"] = "CodVenda";
	$fdata["ownerTable"] = "Vendas";
	$fdata["Label"] = GetFieldLabel("Vendas","CodVenda");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CodVenda";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodVenda";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataVendas["CodVenda"] = $fdata;
		$tdataVendas[".searchableFields"][] = "CodVenda";
//	CodUser
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CodUser";
	$fdata["GoodName"] = "CodUser";
	$fdata["ownerTable"] = "Vendas";
	$fdata["Label"] = GetFieldLabel("Vendas","CodUser");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "CodUser";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodUser";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Users";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "coduser";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "Nome";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataVendas["CodUser"] = $fdata;
		$tdataVendas[".searchableFields"][] = "CodUser";
//	Data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Data";
	$fdata["GoodName"] = "Data";
	$fdata["ownerTable"] = "Vendas";
	$fdata["Label"] = GetFieldLabel("Vendas","Data");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "Data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Data`";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 0;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataVendas["Data"] = $fdata;
		$tdataVendas[".searchableFields"][] = "Data";
//	CodPlanta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "CodPlanta";
	$fdata["GoodName"] = "CodPlanta";
	$fdata["ownerTable"] = "Vendas";
	$fdata["Label"] = GetFieldLabel("Vendas","CodPlanta");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "CodPlanta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodPlanta";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Plantas";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CodPlanta";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "Nome";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataVendas["CodPlanta"] = $fdata;
		$tdataVendas[".searchableFields"][] = "CodPlanta";
//	CodCliente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "CodCliente";
	$fdata["GoodName"] = "CodCliente";
	$fdata["ownerTable"] = "Vendas";
	$fdata["Label"] = GetFieldLabel("Vendas","CodCliente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "CodCliente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodCliente";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Clientes";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CodCliente";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "Nome";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataVendas["CodCliente"] = $fdata;
		$tdataVendas[".searchableFields"][] = "CodCliente";
//	Quantidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Quantidade";
	$fdata["GoodName"] = "Quantidade";
	$fdata["ownerTable"] = "Vendas";
	$fdata["Label"] = GetFieldLabel("Vendas","Quantidade");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Quantidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Quantidade";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataVendas["Quantidade"] = $fdata;
		$tdataVendas[".searchableFields"][] = "Quantidade";
//	Confirmado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Confirmado";
	$fdata["GoodName"] = "Confirmado";
	$fdata["ownerTable"] = "Vendas";
	$fdata["Label"] = GetFieldLabel("Vendas","Confirmado");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Confirmado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Confirmado";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataVendas["Confirmado"] = $fdata;
		$tdataVendas[".searchableFields"][] = "Confirmado";
//	Pago20
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "Pago20";
	$fdata["GoodName"] = "Pago20";
	$fdata["ownerTable"] = "Vendas";
	$fdata["Label"] = GetFieldLabel("Vendas","Pago20");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Pago20";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Pago20";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataVendas["Pago20"] = $fdata;
		$tdataVendas[".searchableFields"][] = "Pago20";
//	Encomendado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "Encomendado";
	$fdata["GoodName"] = "Encomendado";
	$fdata["ownerTable"] = "Vendas";
	$fdata["Label"] = GetFieldLabel("Vendas","Encomendado");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Encomendado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Encomendado";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataVendas["Encomendado"] = $fdata;
		$tdataVendas[".searchableFields"][] = "Encomendado";
//	Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "Pago";
	$fdata["GoodName"] = "Pago";
	$fdata["ownerTable"] = "Vendas";
	$fdata["Label"] = GetFieldLabel("Vendas","Pago");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Pago";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Pago";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataVendas["Pago"] = $fdata;
		$tdataVendas[".searchableFields"][] = "Pago";
//	Fornecido
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "Fornecido";
	$fdata["GoodName"] = "Fornecido";
	$fdata["ownerTable"] = "Vendas";
	$fdata["Label"] = GetFieldLabel("Vendas","Fornecido");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Fornecido";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Fornecido";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataVendas["Fornecido"] = $fdata;
		$tdataVendas[".searchableFields"][] = "Fornecido";


$tables_data["Vendas"]=&$tdataVendas;
$field_labels["Vendas"] = &$fieldLabelsVendas;
$fieldToolTips["Vendas"] = &$fieldToolTipsVendas;
$placeHolders["Vendas"] = &$placeHoldersVendas;
$page_titles["Vendas"] = &$pageTitlesVendas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Vendas"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["Vendas"] = array();



	
				$strOriginalDetailsTable="Plantas";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="Plantas";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "Plantas";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["Vendas"][0] = $masterParams;
				$masterTablesData["Vendas"][0]["masterKeys"] = array();
	$masterTablesData["Vendas"][0]["masterKeys"][]="CodPlanta";
				$masterTablesData["Vendas"][0]["detailKeys"] = array();
	$masterTablesData["Vendas"][0]["detailKeys"][]="CodPlanta";
		
	
				$strOriginalDetailsTable="Clientes";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="Clientes";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "Clientes";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["Vendas"][1] = $masterParams;
				$masterTablesData["Vendas"][1]["masterKeys"] = array();
	$masterTablesData["Vendas"][1]["masterKeys"][]="CodCliente";
				$masterTablesData["Vendas"][1]["detailKeys"] = array();
	$masterTablesData["Vendas"][1]["detailKeys"][]="CodCliente";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_Vendas()
{
$proto1=array();
$proto1["m_strHead"] = "SELECT";
$proto1["m_strFieldList"] = "CodVenda,  	CodUser,  	`Data`,  	CodPlanta,  	CodCliente,  	Quantidade,  	Confirmado,  	Pago20,  	Encomendado,  	Pago,  	Fornecido";
$proto1["m_strFrom"] = "FROM Vendas";
$proto1["m_strWhere"] = "";
$proto1["m_strOrderBy"] = "";
	
		;
			$proto1["cipherer"] = null;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto1["m_where"] = $obj;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto1["m_having"] = $obj;
$proto1["m_fieldlist"] = array();
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "CodVenda",
	"m_strTable" => "Vendas",
	"m_srcTableName" => "Vendas"
));

$proto7["m_sql"] = "CodVenda";
$proto7["m_srcTableName"] = "Vendas";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto1["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "CodUser",
	"m_strTable" => "Vendas",
	"m_srcTableName" => "Vendas"
));

$proto9["m_sql"] = "CodUser";
$proto9["m_srcTableName"] = "Vendas";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto1["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "Data",
	"m_strTable" => "Vendas",
	"m_srcTableName" => "Vendas"
));

$proto11["m_sql"] = "`Data`";
$proto11["m_srcTableName"] = "Vendas";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto1["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "CodPlanta",
	"m_strTable" => "Vendas",
	"m_srcTableName" => "Vendas"
));

$proto13["m_sql"] = "CodPlanta";
$proto13["m_srcTableName"] = "Vendas";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto1["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "CodCliente",
	"m_strTable" => "Vendas",
	"m_srcTableName" => "Vendas"
));

$proto15["m_sql"] = "CodCliente";
$proto15["m_srcTableName"] = "Vendas";
$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto1["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "Quantidade",
	"m_strTable" => "Vendas",
	"m_srcTableName" => "Vendas"
));

$proto17["m_sql"] = "Quantidade";
$proto17["m_srcTableName"] = "Vendas";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto1["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "Confirmado",
	"m_strTable" => "Vendas",
	"m_srcTableName" => "Vendas"
));

$proto19["m_sql"] = "Confirmado";
$proto19["m_srcTableName"] = "Vendas";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto1["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "Pago20",
	"m_strTable" => "Vendas",
	"m_srcTableName" => "Vendas"
));

$proto21["m_sql"] = "Pago20";
$proto21["m_srcTableName"] = "Vendas";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto1["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "Encomendado",
	"m_strTable" => "Vendas",
	"m_srcTableName" => "Vendas"
));

$proto23["m_sql"] = "Encomendado";
$proto23["m_srcTableName"] = "Vendas";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto1["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "Pago",
	"m_strTable" => "Vendas",
	"m_srcTableName" => "Vendas"
));

$proto25["m_sql"] = "Pago";
$proto25["m_srcTableName"] = "Vendas";
$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto1["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "Fornecido",
	"m_strTable" => "Vendas",
	"m_srcTableName" => "Vendas"
));

$proto27["m_sql"] = "Fornecido";
$proto27["m_srcTableName"] = "Vendas";
$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto1["m_fieldlist"][]=$obj;
$proto1["m_fromlist"] = array();
												$proto29=array();
$proto29["m_link"] = "SQLL_MAIN";
			$proto30=array();
$proto30["m_strName"] = "Vendas";
$proto30["m_srcTableName"] = "Vendas";
$proto30["m_columns"] = array();
$proto30["m_columns"][] = "CodVenda";
$proto30["m_columns"][] = "CodUser";
$proto30["m_columns"][] = "Data";
$proto30["m_columns"][] = "CodPlanta";
$proto30["m_columns"][] = "CodCliente";
$proto30["m_columns"][] = "Quantidade";
$proto30["m_columns"][] = "Confirmado";
$proto30["m_columns"][] = "Pago20";
$proto30["m_columns"][] = "Encomendado";
$proto30["m_columns"][] = "Pago";
$proto30["m_columns"][] = "Fornecido";
$obj = new SQLTable($proto30);

$proto29["m_table"] = $obj;
$proto29["m_sql"] = "Vendas";
$proto29["m_alias"] = "";
$proto29["m_srcTableName"] = "Vendas";
$proto31=array();
$proto31["m_sql"] = "";
$proto31["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto31["m_column"]=$obj;
$proto31["m_contained"] = array();
$proto31["m_strCase"] = "";
$proto31["m_havingmode"] = false;
$proto31["m_inBrackets"] = false;
$proto31["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto31);

$proto29["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto29);

$proto1["m_fromlist"][]=$obj;
$proto1["m_groupby"] = array();
$proto1["m_orderby"] = array();
$proto1["m_srcTableName"]="Vendas";		
$obj = new SQLQuery($proto1);

	return $obj;
}
$queryData_Vendas = createSqlQuery_Vendas();


	
		;

											

$tdataVendas[".sqlquery"] = $queryData_Vendas;

$tableEvents["Vendas"] = new eventsBase;
$tdataVendas[".hasEvents"] = false;

?>